org.vertx.java.framework

## Class TestBase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.vertx.java.framework.TestBase

All Implemented Interfaces:
  junit.framework.Test

    public class TestBase
    extends junit.framework.TestCase

### Field Summary

Fields
`static java.lang.String` `EVENTS_ADDRESS`
`protected static VertxInternal` `vertx`

### Constructor Summary

Constructors
Constructor and Description
`TestBase()`

### Method Summary

Methods
`protected java.lang.String` `getMethodName()`
`protected void` `runTestInLoop(java.lang.String testName, int iters)`
`protected void` `setUp()`
`protected java.lang.String` `startApp(boolean worker, java.lang.String main)`
`protected java.lang.String` `startApp(boolean worker, java.lang.String main, boolean await)`
`protected java.lang.String` `startApp(boolean worker, java.lang.String main, int instances)`
`protected java.lang.String` `startApp(boolean worker, java.lang.String main, JsonObject config)`
`protected java.lang.String` `startApp(boolean worker, java.lang.String main, JsonObject config, int instances, boolean await)`
`protected java.lang.String` `startApp(java.lang.String main)`
`protected java.lang.String` `startApp(java.lang.String main, boolean await)`
`protected java.lang.String` `startApp(java.lang.String main, int instances)`
`protected java.lang.String` `startApp(java.lang.String main, JsonObject config)`
`java.lang.String` `startMod(java.lang.String modName)`
`java.lang.String` `startMod(java.lang.String modName, JsonObject config, int instances, boolean await)`
`protected void` `startTest(java.lang.String testName)`
`protected void` `startTest(java.lang.String testName, boolean wait)`
`protected void` `stopApp(java.lang.String appName)`
`protected void` `tearDown()`
`protected void` `waitAppReady()`
`protected void` `waitAppReady(int timeout)`
`protected void` `waitAppStopped()`
`protected void` `waitAppStopped(int timeout)`
`protected void` `waitEvent(int timeout, java.lang.String eventName)`
`protected void` `waitEvent(java.lang.String eventName)`
`protected void` `waitTestComplete()`
`protected void` `waitTestComplete(int timeout)`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EVENTS_ADDRESS

    public static final java.lang.String EVENTS_ADDRESS

See Also:
  Constant Field Values

#### vertx

    protected static VertxInternal vertx

### Constructor Detail

#### TestBase

    public TestBase()

### Method Detail

#### setUp

    protected void setUp()
                  throws java.lang.Exception

Overrides:
  `setUp` in class `junit.framework.TestCase`
Throws:
  `java.lang.Exception`

#### tearDown

    protected void tearDown()
                     throws java.lang.Exception

Overrides:
  `tearDown` in class `junit.framework.TestCase`
Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(java.lang.String main)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(java.lang.String main,
                            JsonObject config)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(java.lang.String main,
                            boolean await)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(java.lang.String main,
                            int instances)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(boolean worker,
                            java.lang.String main)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(boolean worker,
                            java.lang.String main,
                            JsonObject config)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(boolean worker,
                            java.lang.String main,
                            boolean await)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(boolean worker,
                            java.lang.String main,
                            int instances)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startApp

    protected java.lang.String startApp(boolean worker,
                            java.lang.String main,
                            JsonObject config,
                            int instances,
                            boolean await)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startMod

    public java.lang.String startMod(java.lang.String modName)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startMod

    public java.lang.String startMod(java.lang.String modName,
                            JsonObject config,
                            int instances,
                            boolean await)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stopApp

    protected void stopApp(java.lang.String appName)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### startTest

    protected void startTest(java.lang.String testName)

#### startTest

    protected void startTest(java.lang.String testName,
                 boolean wait)

#### getMethodName

    protected java.lang.String getMethodName()

#### waitAppReady

    protected void waitAppReady()

#### waitAppStopped

    protected void waitAppStopped()

#### waitAppReady

    protected void waitAppReady(int timeout)

#### waitAppStopped

    protected void waitAppStopped(int timeout)

#### waitTestComplete

    protected void waitTestComplete(int timeout)

#### waitEvent

    protected void waitEvent(java.lang.String eventName)

#### waitEvent

    protected void waitEvent(int timeout,
                 java.lang.String eventName)

#### waitTestComplete

    protected void waitTestComplete()

#### runTestInLoop

    protected void runTestInLoop(java.lang.String testName,
                     int iters)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`